﻿using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGComboEditorCellClickCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<int> Data { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            Data = new ObservableCollection<int>();
            for (int i = 0; i < 10; i++)
            {
                Data.Add(i);
            }
        }

        void CVP_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            CellValuePresenter CVP = ((CellValuePresenter)sender);

            Style s = new Style(typeof(CellValuePresenter));

            Trigger T = new Trigger();

            T.Property = CellValuePresenter.IsInEditModeProperty;
            T.Value = true;
            
            ControlTemplate CT = new ControlTemplate(typeof(CellValuePresenter));
            
            var XCE = new FrameworkElementFactory(typeof(XamComboEditor));
            XCE.SetBinding(XamComboEditor.ItemsSourceProperty, new Binding("DataItem"));                

            CT.VisualTree = XCE;

            T.Setters.Add(new Setter(CellValuePresenter.TemplateProperty, CT));

            s.Triggers.Add(T);

            CVP.Style = s;
            
        }
    }
}
